Name: H5Pget_alloc_time
Signature:
  herr_t `H5Pget_alloc_time`(hid_t `plist_id`, H5D_alloc_time_t *`alloc_time` )
Purpose:
  Retrieves the timing for storage space allocation.
Description:
  `H5Pget_alloc_time` retrieves the timing for allocating storage space for a dataset's raw data. This property is set in the dataset creation property list `plist_id`.

  The timing setting is returned in `alloc_time` as one of the following values:

  | `H5D_ALLOC_TIME_DEFAULT` | Uses the default allocation time, based on the dataset storage method. See the `alloc_time` description in H5Pset_alloc_time for default allocation times for various storage methods.
  `H5D_ALLOC_TIME_EARLY` | All space is allocated when the dataset is created.
  `H5D_ALLOC_TIME_INCR` | Space is allocated incrementally as data is written to the dataset.
  `H5D_ALLOC_TIME_LATE` | All space is allocated when data is first written to the dataset.

Note:
  `H5Pget_alloc_time` is designed to work in concert with the dataset fill value and fill value write time properties, set with the functions `H5Pget_fill_value` and `H5Pget_fill_time`.
Parameters:

hid_t `plist_id` | IN: Dataset creation property list identifier.
H5D_alloc_time_t *`alloc_time` | IN: When to allocate dataset storage space.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_alloc_time_f

      SUBROUTINE h5pget_alloc_time_f(plist_id, flag, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id   ! Dataset creation
                                                 ! property list identifier
        INTEGER(HSIZE_T), INTENT(OUT) :: flag    ! Allocation time flag
                                                 ! Possible values are:
                                                 !    H5D_ALLOC_TIME_ERROR_F
                                                 !    H5D_ALLOC_TIME_DEFAULT_F
                                                 !    H5D_ALLOC_TIME_EARLY_F
                                                 !    H5D_ALLOC_TIME_LATE_F
                                                 !    H5D_ALLOC_TIME_INCR_F
        INTEGER, INTENT(OUT)       :: hdferr     ! Error code
                                                 ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_alloc_time_f

History:

Release | C
1.6.0 | Function introduced in this release.